This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 866701 - RuntimeError: Error running hostname: No such file or directory
RuntimeError: Error running hostname: No such file or directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:0099eeecad54df85ced4702f0af...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 18:34 EDT by Joshua Covington
Modified: 2013-01-10 01:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: hostname not automatically pulled in when building a custom netinstall image Consequence: cannot set the hostname; anaconda breaks down Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 10:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (749 bytes, text/plain)
2012-10-15 18:34 EDT, Joshua Covington
no flags Details
File: exnFileName (23 bytes, text/plain)
2012-10-15 18:34 EDT, Joshua Covington
no flags Details
File: type (9 bytes, text/plain)
2012-10-15 18:34 EDT, Joshua Covington
no flags Details
File: product (6 bytes, text/plain)
2012-10-15 18:34 EDT, Joshua Covington
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-15 18:34 EDT, Joshua Covington
no flags Details
File: version (2 bytes, text/plain)
2012-10-15 18:34 EDT, Joshua Covington
no flags Details
File: release (24 bytes, text/plain)
2012-10-15 18:34 EDT, Joshua Covington
no flags Details

  None (edit)
Description Joshua Covington 2012-10-15 18:34:35 EDT
Description of problem:
trying to install f17

Version-Release number of selected component:
anaconda-17.29

Additional info:
libreport version: 2.0.16
cmdline:        /usr/bin/python  /usr/sbin/anaconda
kernel:         3.6.2-1.fc17.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 181, in execWithRedirect
:    raise RuntimeError, errstr
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 506, in setHostname
:    stdout="/dev/tty5", stderr="/dev/tty5")
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/network_gui.py", line 98, in getNext
:    self.anaconda.network.setHostname(hostname)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1197, in nextClicked
:    rc = self.currentWindow.getNext ()
:RuntimeError: Error running hostname: No such file or directory
Comment 1 Joshua Covington 2012-10-15 18:34:38 EDT
Created attachment 627764 [details]
File: environ
Comment 2 Joshua Covington 2012-10-15 18:34:40 EDT
Created attachment 627765 [details]
File: exnFileName
Comment 3 Joshua Covington 2012-10-15 18:34:42 EDT
Created attachment 627766 [details]
File: type
Comment 4 Joshua Covington 2012-10-15 18:34:44 EDT
Created attachment 627767 [details]
File: product
Comment 5 Joshua Covington 2012-10-15 18:34:46 EDT
Created attachment 627768 [details]
File: hashmarkername
Comment 6 Joshua Covington 2012-10-15 18:34:48 EDT
Created attachment 627769 [details]
File: version
Comment 7 Joshua Covington 2012-10-15 18:34:50 EDT
Created attachment 627770 [details]
File: release
Comment 8 Joshua Covington 2012-10-16 03:18:18 EDT
It turned out that the "hostname" package wasn't pulled into the installation image (a netinstall iso). I used a custom kickstart file but didn't explicitely remove this package. I also see that it's not in the dependencies for anaconda. 

I was wondering if there is some very basic software group that pulls in all packages for anaconda to work properly. Maybe this should be defined as a dependency when building a netinstall image?
Comment 9 Chris Lumens 2012-10-16 10:09:26 EDT
You need fc91b6c68ad151ff7e636093d766a04f71644c9f from anaconda master, or add it to your kickstart file.
Comment 10 Joshua Covington 2012-10-16 11:48:49 EDT
That was quite easy. Can some pull this into the f17-branch and recompile the package? I'm sure there are also others that can come accross this.
Comment 11 Jesse Keating 2012-10-16 12:05:36 EDT
We don't do updates to anaconda, as that would set an expectation of respun release with updates.

Just include hostname in your kickstart file and you'll be fine.
Comment 12 Joshua Covington 2012-10-17 00:19:45 EDT
I see but maybe there is another temporary solution for f17 like making hostname a dependency for another package that is alreay a dependency for anaconda-f17 like for example dhclient? 

What about setting the package in the anaconda-tools-group in copms-f17.xml.in?

Note You need to log in before you can comment on or make changes to this bug.